File amsynth.changes of Package amsynth

-------------------------------------------------------------------
Thu Oct 17 13:07:01 UTC 2019 - Richard Brown <rbrown@suse.com>

- Remove obsolete Groups tag (fate#326485)

-------------------------------------------------------------------
Tue Apr 23 07:55:14 UTC 2019 - Atri Bhattacharya <badshah400@gmail.com>

- Update to version 1.9.0:
  + Added support for NSM (Non Session Manager)
  + Improved FreeBSD OSS audio support
  + Sustain pedal can now be used in Mono and Legato modes
  + JACK MIDI inputs are now automatically connected
  + Fixed a crash in MIDI learn dialog when receiving CC messages
  + Other minor bug fixes
- Drop amsynth-install-translated-appdata.patch: incorporated
  upstream; drop associated BuildRequries: libtool, autoconf,
  and automake, and do not run autoreconf any more.
- Conditionalise post(un) scriptlets to run only for openSUSE 15.1
  and earlier; for tumbleweed, they are taken care of by rpm file
  triggers.

-------------------------------------------------------------------
Tue Apr  3 11:31:24 UTC 2018 - tchvatal@suse.com

- Use %license macro
- Drop lash-1.0 dependency as we try to reduce it (remove from TW)

-------------------------------------------------------------------
Mon Jun 26 23:00:52 UTC 2017 - badshah400@gmail.com

- Update to version 1.8.0:
  + Controls can now be reset to their default value via a
    double-click.
  + Alternate tuning scales & keyboard maps can now be loaded in
    plug-ins.
  + Fixed an issue where bank switching via MIDI caused jack
    zombification.
  + Removed dependency on gtkmm (gtk is still required for the
    UI).
- Add amsynth-install-translated-appdata.patch to fix installation
  of translated metainfo files; introduces BuildRequries on
  automake, autconf and libtool. Patch sent upstream.
- Package metainfo files for plugins.
- Drop BuildRequries on gtkmm.

-------------------------------------------------------------------
Wed Mar 29 21:58:28 UTC 2017 - badshah400@gmail.com

- Update to version 1.7.1:
  + Fixed MIDI channel filtering.
  + Fixed corrupt preset names in dssi plugin.
  + General UI and menu item improvements.
  + Improvements to translations.
  + Added a man page.
- Drop amsynth-install-appdata.patch (and associated buildrequires
  on libtool): incorporated upstream.
- Generate (add BuildRequires: pandoc) and install new man files
  (new in version 1.7.1).

-------------------------------------------------------------------
Tue Nov 15 21:51:56 UTC 2016 - badshah400@gmail.com

- Initial package.
- Add amsynth-install-appdata.patch: Add a translatable appdata
  file and install it using autotool; patch-feature-opensuse for
  now but sent upstream.